/**
 * \file /output/mcqrspectralcount.cpp
 * \date 23/3/2018
 * \author Olivier Langella
 * \brief write simple TSV file for MassChroqR spectral count studies
 */

/*******************************************************************************
* Copyright (c) 2018 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "mcqrspectralcount.h"
#include <pappsomspp/pappsoexception.h>
#include <QSettings>
#include "mcqr/mcqrscpeptide.h"
#include "mcqr/mcqrscprotein.h"


McqrSpectralCount::McqrSpectralCount (const Project * p_project): _p_project(p_project) {
}


void McqrSpectralCount::write(CalcWriterInterface * p_writer, WorkMonitorInterface * p_monitor) {
    QSettings settings;

    p_monitor->message(QObject::tr("writing MassChroqR protein file"));
    McqRscProtein( p_writer, _p_project).writeSheet();
    p_monitor->message(QObject::tr("writing MassChroqR peptide file"));
    McqRscPeptide( p_writer, _p_project).writeSheet();
}

